Visualizzazione risultati 1 fino 6 di 6

Discussione: Aggiornamento PHPBB alla nuova versione disponibile

  1. #1
    Guest

    Predefinito Aggiornamento PHPBB alla nuova versione disponibile

    Salve a tutti vedendo che di PHPBB c'era un nuovo aggiornamento l'ho subito fatto una volta finito l'aggiornamento ho aggiornato i database il risultato è stato il seguente



    Ho dovuto usare la macchina del tempo ripristinando il tutto.
    Quale potrebbe essere il problema?
    p.s. ho PHPBB 3.0.12 e come tema uso il Glacier
    Ultima modifica di skysouls : 02-06-2015 alle ore 02.36.38

  2. #2
    karl94 non è connesso Staff AV
    Data registrazione
    03-10-2005
    Messaggi
    17,647

    Predefinito

    Sembra che qualcosa sia andato storto durante l'aggiornamento. Ti consiglierei di riprovare, tanto con il backup puoi sempre ripristinare il tutto. Assicurati di non ricevere messaggi di errore durante la procedura di aggiornamento. Se ne visualizzi riportali qua.

  3. #3
    Guest

    Predefinito

    Citazione Originalmente inviato da karl94 Visualizza messaggio
    Sembra che qualcosa sia andato storto durante l'aggiornamento. Ti consiglierei di riprovare, tanto con il backup puoi sempre ripristinare il tutto. Assicurati di non ricevere messaggi di errore durante la procedura di aggiornamento. Se ne visualizzi riportali qua.
    Prima di cliccare sul tasto "aggiorna alla versione.." appare questo messaggio

    "ATTENZIONE: se hai installato una o più MOD alcuni file potrebbero essere sovrascritti dal processo, riportandoli alla versione originale. Sarà quindi necessario riapplicare la MOD.

    Se stai aggiornando dalla versione 3.0.x alla 3.1.x verrà impostato lo stile default (prosilver). Per ripristinare lo stile attuale scarica la versione aggiornata e caricala nella cartella 'styles' del tuo forum tramite Gestione file o FTP

    Dopo il processo di aggiornamento automatico sarà necessario effettuare alcune operazioni manuali che saranno illustrate successivamente.

    Insieme all'aggiornamento verrà effettuato un backup completo dello spazio web e del database. Potrebbero essere necessari alcuni minuti per completare l'intera procedura." magari è per quello che mi da quell'errore perchè poi devo modificare io a mano dei file o.O


    EDIT: fatto l'aggiornamento arrivo in una schermata dove c'è scritta sta roba

    Codice:
    Aggiornamento database all’ultimo rilascio stabile
    
    Tipo di database :: mysql4
    Versione precedente :: 3.0.12
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_0
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_1_rc1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_2_rc1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_2_rc2
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_2
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_3_rc1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_3
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_4_rc1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_4
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_5_rc1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_5_rc1part2
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_5
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_6_rc1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_6_rc2
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_6_rc3
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_6_rc4
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_6
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_7_rc1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_7_rc2
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_7
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_7_pl1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_8_rc1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_8
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_9_rc1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_9_rc2
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_9_rc3
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_9_rc4
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_9
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_10_rc1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_10_rc2
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_10_rc3
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_10
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_11_rc1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_11_rc2
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_11
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_12_rc1
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_12_rc2
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_12_rc3
    Migrazione già installata (richiesta ignorata): \phpbb\db\migration\data\v30x\release_3_0_12
    Installazione schema: \phpbb\db\migration\data\v30x\release_3_0_13_rc1.
    Schema installato: \phpbb\db\migration\data\v30x\release_3_0_13_rc1; tempo: 0.00 secondi
    Installazione dati: \phpbb\db\migration\data\v30x\release_3_0_13_rc1.
    Installazione dati: \phpbb\db\migration\data\v30x\release_3_0_13_rc1; tempo: 0.00 secondi
    Installazione schema: \phpbb\db\migration\data\v30x\local_url_bbcode.
    Schema installato: \phpbb\db\migration\data\v30x\local_url_bbcode; tempo: 0.00 secondi
    Installazione dati: \phpbb\db\migration\data\v30x\local_url_bbcode.
    Installazione dati: \phpbb\db\migration\data\v30x\local_url_bbcode; tempo: 0.06 secondi
    Installazione schema: \phpbb\db\migration\data\v30x\release_3_0_13.
    Schema installato: \phpbb\db\migration\data\v30x\release_3_0_13; tempo: 0.00 secondi
    Installazione dati: \phpbb\db\migration\data\v30x\release_3_0_13.
    Installazione dati: \phpbb\db\migration\data\v30x\release_3_0_13; tempo: 0.00 secondi
    Installazione schema: \phpbb\db\migration\data\v30x\release_3_0_13_pl1.
    Schema installato: \phpbb\db\migration\data\v30x\release_3_0_13_pl1; tempo: 0.00 secondi
    Installazione dati: \phpbb\db\migration\data\v30x\release_3_0_13_pl1.
    Installazione dati: \phpbb\db\migration\data\v30x\release_3_0_13_pl1; tempo: 0.00 secondi
    Installazione schema: \phpbb\db\migration\data\v30x\release_3_0_14_rc1.
    Schema installato: \phpbb\db\migration\data\v30x\release_3_0_14_rc1; tempo: 0.00 secondi
    Installazione dati: \phpbb\db\migration\data\v30x\release_3_0_14_rc1.
    Installazione dati: \phpbb\db\migration\data\v30x\release_3_0_14_rc1; tempo: 0.00 secondi
    Installazione schema: \phpbb\db\migration\data\v30x\release_3_0_14.
    Schema installato: \phpbb\db\migration\data\v30x\release_3_0_14; tempo: 0.00 secondi
    Installazione dati: \phpbb\db\migration\data\v30x\release_3_0_14.
    Installazione dati: \phpbb\db\migration\data\v30x\release_3_0_14; tempo: 0.00 secondi
    Installazione schema: \phpbb\db\migration\data\v310\extensions.
    Schema installato: \phpbb\db\migration\data\v310\extensions; tempo: 0.09 secondi
    Installazione dati: \phpbb\db\migration\data\v310\extensions.
    Il modulo richiesto non esiste: ACP_CAT_STYLES
    Ultima modifica di skysouls : 02-06-2015 alle ore 02.40.48

  4. #4
    karl94 non è connesso Staff AV
    Data registrazione
    03-10-2005
    Messaggi
    17,647

    Predefinito

    Citazione Originalmente inviato da skysouls Visualizza messaggio
    magari è per quello che mi da quell'errore perchè poi devo modificare io a mano dei file o.O
    No, è un errore riguardo il database. Assicurati anche che ci sia abbastanza spazio libero disponibile.

  5. #5
    Guest

    Predefinito

    uhm.. okei il mio database è così



    Comunque potrebbe essere che da quell'errore perchè come dice li nel database manca il modulo ACP_CAT_STYLES?
    Ultima modifica di skysouls : 02-06-2015 alle ore 02.49.46

  6. #6
    peopleopinion non è connesso Utente giovane
    Data registrazione
    20-10-2010
    Messaggi
    73

    Predefinito

    Ciao, scusate l'intrusione, ma l'argomento interessa anche me. Ho letto con attenzione questo topic ed altri qui su AV e on line visto che anche io ho la Versione installata: 3.0.12 e vorrei Aggiornare alla versione 3.1.4 resa disponibile nel pannello di controllo Altervista. Non so se possa essere utile ma ho trovato questo link che è la procedura "ufficiale" consigliata dagli sviluppatori di PHPBB: https://www.phpbb.com/support/docs/e...guide/upgrade3.
    Tuttavia si faccia attenzione che alcune funzionalità, mod, stili e altre cosette della versione precedente 3.0.12 non sono presenti ne compatibili con la 3.1.4.
    Quindi, ad esempio per gli stili, bisognerà installare manualmente gli stili compatibili con la 3.1.4 perché nella raccolta degli stili disponibili nella 3.1.4 non vi è più la scelta che vi era nella versione fino alla 3.0.14 ma vi è solo lo stile di default (vi è 1 solo stile quindi).
    Per le MOD bisognerà applicare nuovamente le MOD aggiornate sempre scaricandole dal sito dello sviluppatore e applicandole di conseguenza.

    Comunque leggendo anche altrove on line ho notato che sono stati riscontrati una serie di problematiche di funzionamento nella 3.1.4.
    Ad esempio leggete sempre qui su AV: AGGIORNAMENTO versione 3.1.4 di PhpBB! Problema! che riporta solo alcune delle problematiche a qui se ne potrebbero aggiungere di ulteriori.
    Quindi per quanto mi riguarda aspetterò che sia rilasciato qualche altro aggiornamento e quando mi sarò accertato che tutto sarà ok aggiornerò, anche se devo dire che questa attesa mi dispiace un po' perché alcune migliorie della 3.1.4 fanno gola anche a me (ad esempio il multi file upload o il fatto che sia stata attivata la possibilità di trascinare e rilasciare i file da caricare direttamente nella finestra del messaggio), metendo phpbb un po' al passo con i tempi.
    Ma se il "prezzo da pagare" per avere queste sepure interessanti novità è quello di vedere la board non perfettamente funzionante dopo un aggiornamento preferisco aspettare. A mia modesta opinione la 3.1.4 implementa alcune interessanti novità ma non si tratta di una versione ancora totalmente matura.
    Suggerisco comunque a chi riscontrasse problemi di riferirli al sito degli svilupatori: https://tracker.phpbb.com/secure/Dashboard.jspa cosiché la prossima versione abbia risolto le problematiche e possa essere usata con minori problemi.
    Ultima modifica di peopleopinion : 15-06-2015 alle ore 02.24.31

Regole di scrittura

  • Non puoi creare nuove discussioni
  • Non puoi rispondere ai messaggi
  • Non puoi inserire allegati.
  • Non puoi modificare i tuoi messaggi
  •